Package com.creditcall.chipdnamobile

# Class ParameterValues

java.lang.Object
com.creditcall.chipdnamobile.ParameterValues

public class ParameterValues extends Object
Created by Shingai on 13/07/2017.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AccountVerification`
  Parameter value indicating that the transaction is an Account Verification.
  `static final String`
  `AmountTypeActual`
  Parameter value indicating that `ParameterKeys.Amount` is the actual amount.
  `static final String`
  `AmountTypeEstimate`
  Parameter value indicating that `ParameterKeys.Amount` is an estimated amount.
  `static final String`
  `Approved`
  Parameter value returned when a transaction is approved.
  `static final String`
  `BluetoothConnectionType`
  Parameter value representation of BLUETOOTH connection type.
  `static final String`
  `BluetoothLeConnectionType`
  Parameter value representation of BLUETOOTH LOW ENERGY connection type.
  `static final String`
  `BothTipping`
  Parameter value for indicating end of day and on device tipping.
  `static final String`
  `Card`
  Parameter value indicating that the transaction will be processed with a card.
  `static final String`
  `Cash`
  Parameter value indicating that the transaction will be processed as a cash transaction.
  `static final String`
  `CheckingPinPadConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad configuration check has started.
  `static final String`
  `CheckingTapToMobileConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that TapToMobile configuration check has started.
  `static final String`
  `Cheque`
  Parameter value indicating that the transaction will be processed as cheque transaction.
  `static final String`
  `ClearIdleMessage`
  Parameter value used in `ChipDnaMobile.setIdleMessage(Parameters)` to clear a previously set idle message.
  `static final String`
  `Committed`
  Parameter value returned when the state of a transaction is committed.
  `static final String`
  `Connecting`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that the SDK is about to connect to the PIN pad.
  `static final String`
  `ConnectionAndConfigureStarted`
  Parameters value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that `ChipDnaMobile.connectAndConfigure(Parameters)` has started.
  `static final String`
  `Declined`
  Parameter value returned when a transaction is declined.
  `static final String`
  `Delayed`
  Parameter value returned when the state of a transaction is delayed and will be processed via a different integration.
  `static final String`
  `EndOfDayTipping`
  Parameter value for end of day tipping.
  `static final String`
  `FALSE`
  Parameter value representation of False.
  `static final String`
  `LiveEnvironment`
  Parameter value representation of LIVE environment.
  `static final String`
  `OfflineCompletionDeleted`
  Parameter value indicating that the offline request was deleted (and not sent online).
  `static final String`
  `OfflineCompletionProcessed`
  Parameter value indicating that the offline request was successfully completed and sent online.
  `static final String`
  `OfflineFailed`
  Parameter value to indicate that there is an offline request which has failed to send.
  `static final String`
  `OfflinePending`
  Parameter value to indicate that there is an offline request pending for the transaction
  `static final String`
  `OnDeviceTipping`
  Parameter value for on device tipping.
  `static final String`
  `PartiallyApproved`
  Parameter value returned when a transaction is partially approved.
  `static final String`
  `PartiallyCommitted`
  Parameter value returned when the state of a transaction is partially committed.
  `static final String`
  `PaymentDevice`
  The transaction POI is a Payment Device.
  `static final String`
  `PerformingTmsUpdate`
  Parameter value indicating that TMS Update has started.
  `static final String`
  `ReasonDelayedCharge`
  The Credential on File transaction is a delayed charge.
  `static final String`
  `ReasonIncremental`
  The Credential on File transaction is an incremental transaction.
  `static final String`
  `ReasonInstallment`
  The Credential on File transaction is an installment.
  `static final String`
  `ReasonNoShow`
  The Credential on File transaction is due to no show.
  `static final String`
  `ReasonReAuth`
  The Credential on File transaction is a re-auth.
  `static final String`
  `ReasonResubmission`
  The Credential on File transaction is a resubmission.
  `static final String`
  `ReasonUnscheduled`
  The Credential on File transaction is an unscheduled transaction.
  `static final String`
  `RebootingPinPad`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that the PIN pad is about to reboot.
  `static final String`
  `Refund`
  Parameter value indicating that the transaction is a refund.
  `static final String`
  `Registering`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that Registration has started.
  `static final String`
  `RetryRequest`
  Parameter value indicating that the integrating application should retry a request.
  `static final String`
  `Sale`
  Parameter value indicating that the transaction is a sale.
  `static final String`
  `TapToMobile`
  The transaction POI is Tap To Mobile.
  `static final String`
  `TcpIpConnectionType`
  Parameter value representation of TCP/IP connection type.
  `static final String`
  `TestEnvironment`
  Parameter value representation of STAGING/TEST environment.
  `static final String`
  `TRUE`
  Parameter value representation of True.
  `static final String`
  `Uncommitted`
  Parameter value returned when the state of a transaction is uncommitted.
  `static final String`
  `UncommittedVoid`
  Parameter value returned when the state of a transaction is uncommitted void.
  `static final String`
  `UpdatingPinPadConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad configuration update has started.
  `static final String`
  `UpdatingPinPadFirmware`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad firmware check has started.
  `static final String`
  `UpdatingPinPadFirmwareConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad firmware configuration update has started.
  `static final String`
  `UpdatingSecurityConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad security configuration has started.
  `static final String`
  `UpdatingTapToMobileConfig`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that TapToMobile configuration update has started.
  `static final String`
  `UsbConnectionType`
  Parameter value representation of USB connection type.
  `static final String`
  `VerifyingPinPad`
  Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad verification check has started.
  `static final String`
  `Voided`
  Parameter value returned when the state of a transaction is void.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterValues()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRUE

    public static final String TRUE
    Parameter value representation of True.
    See Also:
      - Constant Field Values

  - ### FALSE

    public static final String FALSE
    Parameter value representation of False.
    See Also:
      - Constant Field Values

  - ### LiveEnvironment

    public static final String LiveEnvironment
    Parameter value representation of LIVE environment.
    See Also:
      - Constant Field Values

  - ### TestEnvironment

    public static final String TestEnvironment
    Parameter value representation of STAGING/TEST environment.
    See Also:
      - Constant Field Values

  - ### UsbConnectionType

    public static final String UsbConnectionType
    Parameter value representation of USB connection type.
    See Also:
      - Constant Field Values

  - ### BluetoothLeConnectionType

    public static final String BluetoothLeConnectionType
    Parameter value representation of BLUETOOTH LOW ENERGY connection type.
    See Also:
      - Constant Field Values

  - ### BluetoothConnectionType

    public static final String BluetoothConnectionType
    Parameter value representation of BLUETOOTH connection type.
    See Also:
      - Constant Field Values

  - ### TcpIpConnectionType

    public static final String TcpIpConnectionType
    Parameter value representation of TCP/IP connection type.
    See Also:
      - Constant Field Values

  - ### ConnectionAndConfigureStarted

    public static final String ConnectionAndConfigureStarted
    Parameters value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that `ChipDnaMobile.connectAndConfigure(Parameters)` has started.
    See Also:
      - Constant Field Values

  - ### Connecting

    public static final String Connecting
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that the SDK is about to connect to the PIN pad.
    See Also:
      - Constant Field Values

  - ### Registering

    public static final String Registering
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that Registration has started.
    See Also:
      - Constant Field Values

  - ### PerformingTmsUpdate

    public static final String PerformingTmsUpdate
    Parameter value indicating that TMS Update has started.
    See Also:
      - Constant Field Values

  - ### CheckingPinPadConfig

    public static final String CheckingPinPadConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad configuration check has started.
    See Also:
      - Constant Field Values

  - ### CheckingTapToMobileConfig

    public static final String CheckingTapToMobileConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that TapToMobile configuration check has started.
    See Also:
      - Constant Field Values

  - ### UpdatingPinPadConfig

    public static final String UpdatingPinPadConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad configuration update has started.
    See Also:
      - Constant Field Values

  - ### UpdatingTapToMobileConfig

    public static final String UpdatingTapToMobileConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that TapToMobile configuration update has started.
    See Also:
      - Constant Field Values

  - ### UpdatingPinPadFirmware

    public static final String UpdatingPinPadFirmware
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad firmware check has started.
    See Also:
      - Constant Field Values

  - ### UpdatingPinPadFirmwareConfig

    public static final String UpdatingPinPadFirmwareConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad firmware configuration update has started.
    See Also:
      - Constant Field Values

  - ### VerifyingPinPad

    public static final String VerifyingPinPad
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad verification check has started.
    See Also:
      - Constant Field Values

  - ### RebootingPinPad

    public static final String RebootingPinPad
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that the PIN pad is about to reboot.
    See Also:
      - Constant Field Values

  - ### UpdatingSecurityConfig

    public static final String UpdatingSecurityConfig
    Parameter value in `IConfigurationUpdateListener.onConfigurationUpdateListener(Parameters)` indicating that PIN pad security configuration has started.
    See Also:
      - Constant Field Values

  - ### Approved

    public static final String Approved
    Parameter value returned when a transaction is approved.
    See Also:
      - Constant Field Values

  - ### Declined

    public static final String Declined
    Parameter value returned when a transaction is declined.
    See Also:
      - Constant Field Values

  - ### RetryRequest

    public static final String RetryRequest
    Parameter value indicating that the integrating application should retry a request.
    See Also:
      - Constant Field Values

  - ### PartiallyApproved

    public static final String PartiallyApproved
    Parameter value returned when a transaction is partially approved.
    See Also:
      - Constant Field Values

  - ### PartiallyCommitted

    public static final String PartiallyCommitted
    Parameter value returned when the state of a transaction is partially committed.
    See Also:
      - Constant Field Values

  - ### Committed

    public static final String Committed
    Parameter value returned when the state of a transaction is committed.
    See Also:
      - Constant Field Values

  - ### Uncommitted

    public static final String Uncommitted
    Parameter value returned when the state of a transaction is uncommitted.
    See Also:
      - Constant Field Values

  - ### Voided

    public static final String Voided
    Parameter value returned when the state of a transaction is void.
    See Also:
      - Constant Field Values

  - ### UncommittedVoid

    public static final String UncommittedVoid
    Parameter value returned when the state of a transaction is uncommitted void.
    See Also:
      - Constant Field Values

  - ### Delayed

    public static final String Delayed
    Parameter value returned when the state of a transaction is delayed and will be processed via a different integration.
    See Also:
      - Constant Field Values

  - ### EndOfDayTipping

    public static final String EndOfDayTipping
    Parameter value for end of day tipping.
    See Also:
      - Constant Field Values

  - ### OnDeviceTipping

    public static final String OnDeviceTipping
    Parameter value for on device tipping.
    See Also:
      - Constant Field Values

  - ### BothTipping

    public static final String BothTipping
    Parameter value for indicating end of day and on device tipping.
    See Also:
      - Constant Field Values

  - ### Sale

    public static final String Sale
    Parameter value indicating that the transaction is a sale.
    See Also:
      - Constant Field Values

  - ### Refund

    public static final String Refund
    Parameter value indicating that the transaction is a refund.
    See Also:
      - Constant Field Values

  - ### AccountVerification

    public static final String AccountVerification
    Parameter value indicating that the transaction is an Account Verification.
    See Also:
      - Constant Field Values

  - ### Cash

    public static final String Cash
    Parameter value indicating that the transaction will be processed as a cash transaction.
    See Also:
      - Constant Field Values

  - ### Card

    public static final String Card
    Parameter value indicating that the transaction will be processed with a card.
    See Also:
      - Constant Field Values

  - ### Cheque

    public static final String Cheque
    Parameter value indicating that the transaction will be processed as cheque transaction.
    See Also:
      - Constant Field Values

  - ### AmountTypeActual

    public static final String AmountTypeActual
    Parameter value indicating that `ParameterKeys.Amount` is the actual amount.
    See Also:
      - Constant Field Values

  - ### AmountTypeEstimate

    public static final String AmountTypeEstimate
    Parameter value indicating that `ParameterKeys.Amount` is an estimated amount.
    See Also:
      - Constant Field Values

  - ### ClearIdleMessage

    public static final String ClearIdleMessage
    Parameter value used in `ChipDnaMobile.setIdleMessage(Parameters)` to clear a previously set idle message.
    See Also:
      - Constant Field Values

  - ### OfflinePending

    public static final String OfflinePending
    Parameter value to indicate that there is an offline request pending for the transaction
    See Also:
      - Constant Field Values

  - ### OfflineFailed

    public static final String OfflineFailed
    Parameter value to indicate that there is an offline request which has failed to send.
    See Also:
      - Constant Field Values

  - ### OfflineCompletionProcessed

    public static final String OfflineCompletionProcessed
    Parameter value indicating that the offline request was successfully completed and sent online.
    See Also:
      - Constant Field Values

  - ### OfflineCompletionDeleted

    public static final String OfflineCompletionDeleted
    Parameter value indicating that the offline request was deleted (and not sent online).
    See Also:
      - Constant Field Values

  - ### ReasonUnscheduled

    public static final String ReasonUnscheduled
    The Credential on File transaction is an unscheduled transaction.
    See Also:
      - Constant Field Values

  - ### ReasonInstallment

    public static final String ReasonInstallment
    The Credential on File transaction is an installment.
    See Also:
      - Constant Field Values

  - ### ReasonIncremental

    public static final String ReasonIncremental
    The Credential on File transaction is an incremental transaction.
    See Also:
      - Constant Field Values

  - ### ReasonResubmission

    public static final String ReasonResubmission
    The Credential on File transaction is a resubmission.
    See Also:
      - Constant Field Values

  - ### ReasonDelayedCharge

    public static final String ReasonDelayedCharge
    The Credential on File transaction is a delayed charge.
    See Also:
      - Constant Field Values

  - ### ReasonReAuth

    public static final String ReasonReAuth
    The Credential on File transaction is a re-auth.
    See Also:
      - Constant Field Values

  - ### ReasonNoShow

    public static final String ReasonNoShow
    The Credential on File transaction is due to no show.
    See Also:
      - Constant Field Values

  - ### PaymentDevice

    public static final String PaymentDevice
    The transaction POI is a Payment Device.
    See Also:
      - Constant Field Values

  - ### TapToMobile

    public static final String TapToMobile
    The transaction POI is Tap To Mobile.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ParameterValues

    public ParameterValues()